Stampfactory
Dokumentation
Monatsabschluss

Abrechnungswerte abrufen

GET
/payroll/settlements/{yearMonth}
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

yearMonth*string

Response-Body

application/json

application/json

curl -X GET "https://example.com/payroll/settlements/string"
{  "enabled": true,  "data": [    {      "id": "string",      "employee_id": "string",      "employee_name": "string",      "reference_no": "string",      "year_month": "string",      "hours": {        "worked": "string",        "vacation": "string",        "illness": "string",        "holiday": "string",        "other": "string",        "correction": "string",        "total": "string"      },      "hourly_rate_cents": "string",      "amount_cents": 0,      "rate_missing": true,      "segments": "string",      "corrections": "string",      "warnings": "string",      "minijob": {        "limit_cents": 0,        "utilization": 0      },      "settled_at": "string"    }  ],  "year_month": "string",  "period": {    "status": "closed"  }}